Skip to main content
POST
/
storefronts
/
{storefrontId}
/
demand-signals
/
{signalId}
/
respond
Respond to a demand signal
curl --request POST \
  --url https://api.interchange.io/api/v2/storefront/storefronts/{storefrontId}/demand-signals/{signalId}/respond \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payload": {
    "proposedCpm": 1,
    "currency": "<string>",
    "products": [
      {
        "productId": "<string>",
        "name": "<string>",
        "estimatedImpressions": 4503599627370495
      }
    ],
    "notes": "<string>"
  }
}
'
{
  "id": "<string>",
  "demandSignalId": "<string>",
  "demandSignalTargetId": "<string>",
  "sellerCustomerId": 0,
  "storefrontId": "<string>",
  "payload": {},
  "matchScore": 50,
  "actorUserId": 0,
  "createdAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.interchange.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

storefrontId
integer
required
Required range: x <= 9007199254740991
signalId
integer
required
Required range: x <= 9007199254740991

Body

application/json
kind
enum<string>
required
Available options:
QUOTE
payload
object
required

Response

Respond to a demand signal

A seller action against a demand_signal_target.

id
string
required
demandSignalId
string
required
demandSignalTargetId
string
required
sellerCustomerId
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
storefrontId
string | null
required
kind
enum<string>
required
Available options:
QUOTE,
CLARIFY,
DECLINE,
BOOK
payload
object
required
matchScore
integer | null
required
Required range: 0 <= x <= 100
actorUserId
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
createdAt
string
required